<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.yahoo.android.search.showcase">

    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />

    <application
        android:name=".MyApplication"
        android:allowBackup="false"
        android:icon="@drawable/ic_launcher"
        android:label="@string/showcase_app_name"
        android:theme="@style/CustomAppTheme">
        <activity
            android:name=".SearchDemoActivity"
            android:label="@string/showcase_app_name"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name=".LauncherDemoActivity"
            android:label="@string/title_activity_launcher_demo"
            android:theme="@style/CustomTheme"/>

        <!-- Start: Search SDK Activities -->
        <activity
            android:name="com.yahoo.mobile.client.share.search.ui.activity.LocalPreviewActivity"
            android:screenOrientation="portrait"
            android:theme="@style/SearchToLink.Preview.Overlay"
            android:windowSoftInputMode="adjustPan" />

        <activity
            android:name="com.yahoo.mobile.client.share.search.ui.activity.SearchActivity"
            android:screenOrientation="portrait"
            android:theme="@style/SearchTheme"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name="com.yahoo.mobile.client.share.search.ui.activity.ImageGalleryActivity"
            android:label=""
            android:logo="@drawable/back_icon"
            android:theme="@style/SearchToLink.Preview"
            android:windowSoftInputMode="stateHidden" />
        <activity
            android:name="com.yahoo.mobile.client.share.search.ui.activity.SearchToLinkActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name="com.yahoo.mobile.client.share.search.ui.activity.SearchBrowserActivity"
            android:label=""
            android:logo="@drawable/back_icon"
            android:screenOrientation="portrait"
            android:theme="@style/SearchToLink.Preview"
            android:windowSoftInputMode="adjustPan" />

        <!-- End: Search SDK Activities -->
    </application>

</manifest>